summaryrefslogtreecommitdiffstats
path: root/dung-3.4.25-m2/arch_timer
diff options
context:
space:
mode:
Diffstat (limited to 'dung-3.4.25-m2/arch_timer')
-rwxr-xr-xdung-3.4.25-m2/arch_timer/arch_timer-interrupt-lager.sh24
-rwxr-xr-xdung-3.4.25-m2/arch_timer/dmesg-lager.sh8
-rwxr-xr-xdung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh14
3 files changed, 46 insertions, 0 deletions
diff --git a/dung-3.4.25-m2/arch_timer/arch_timer-interrupt-lager.sh b/dung-3.4.25-m2/arch_timer/arch_timer-interrupt-lager.sh
new file mode 100755
index 0000000..4dfbf03
--- /dev/null
+++ b/dung-3.4.25-m2/arch_timer/arch_timer-interrupt-lager.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -e
+#set -x
+
+echo "ARM timer interrupt test"
+
+DEV_NAME="arch_timer"
+
+# CMT interrupt test
+BEFORE=$($(dirname $0)/../common/interrupt-count.sh "$DEV_NAME")
+sleep 5
+AFTER=$($(dirname $0)/../common/interrupt-count.sh "$DEV_NAME")
+
+# Show result
+echo "Before interrupt:$BEFORE"
+echo "After interrupt :$AFTER"
+
+if [ "$BEFORE" -ge "$AFTER" ]; then
+ echo "Interrupt cound is not increasing"
+ exit 1
+else
+ echo "Test passed"
+fi
diff --git a/dung-3.4.25-m2/arch_timer/dmesg-lager.sh b/dung-3.4.25-m2/arch_timer/dmesg-lager.sh
new file mode 100755
index 0000000..10d10a9
--- /dev/null
+++ b/dung-3.4.25-m2/arch_timer/dmesg-lager.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+echo "Arch ARM timer dmesg feature test"
+
+exec $(dirname $0)/../common/dmesg.sh "ARM arch timer >56 bits at 10000kHz"
diff --git a/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh b/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh
new file mode 100755
index 0000000..23a0afb
--- /dev/null
+++ b/dung-3.4.25-m2/arch_timer/proc-interrupts-lager.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+echo "arch_timer /proc/interrupts presence test"
+
+IRQ=27
+DIV_NAME="arch_timer"
+if $(dirname $0)/../common/proc-interrupts.sh "$DIV_NAME" | grep "$IRQ"; then
+ echo "Test passed"
+else
+ echo "Test has not passed"
+fi